Skip to content
Get started

Generate voice preview

POST/voices/preview

Generate a short audio preview for a given voice.

Body ParametersJSONExpand Collapse
provider: "cartesia" or "elevenlabs"

The provider to use for the preview.

One of the following:
"cartesia"
"elevenlabs"
voiceId: string

The voice ID to generate a preview for.

speed: optional number

Speed for preview. Cartesia 0.6–1.5, ElevenLabs 0.7–1.2. Default 1.0.

minimum0.6
maximum1.5
text: optional string

Custom text for the preview. If omitted, a short default is used.

maxLength2000
volume: optional number

Volume for Cartesia preview (0.5–2.0). Ignored for other providers.

minimum0.5
maximum2

Generate voice preview

curl https://www.getrevox.com/api/voices/preview \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $REVOX_API_KEY" \
    -d '{
          "provider": "cartesia",
          "voiceId": "voiceId"
        }'
Returns Examples